package org.claros.groupware.contacts.models;

/**
 * @author Umut Gokbayrak
 */
public class ContactGroupWrapper extends ContactGroup {
	private Integer memberCount = new Integer(0);

	public ContactGroupWrapper(ContactGroup group) {
		setDescription(group.getDescription());
		setId(group.getId());
		setShortName(group.getShortName());
		setUser(group.getUser());
	}

	/**
	 * @return
	 */
	public Integer getMemberCount() {
		return memberCount;
	}

	/**
	 * @param integer
	 */
	public void setMemberCount(Integer integer) {
		memberCount = integer;
	}

}
