package org.claros.groupware.notes.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import org.claros.commons.models.AuthProfile;
import org.claros.groupware.common.actions.BaseLoggedAction;
import org.claros.groupware.notes.controllers.FolderController;
import org.claros.groupware.notes.models.ListFoldersFormBean;

/**
 * @version 	1.0
 * @author		Umut Gkbayrak
 */
public class DeleteFolderAction extends BaseLoggedAction {

	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		ListFoldersFormBean bean = (ListFoldersFormBean)form;
		String folders[] = bean.getFolder();
		
		if (folders != null) {
			Long id = null;
			AuthProfile auth = getAuthProfile(request);

			for (int i=0;i<folders.length;i++) {
				id = new Long(folders[i]);
				FolderController.deleteFolder(auth, id);
			}
		}
		
		return mapping.findForward("/folders.do");
	}
}
