package org.claros.groupware.webmail.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import org.claros.groupware.common.actions.BaseLoggedPopupAction;

/**
 * @version 	1.0
 * @author		Umut Gokbayrak
 */
public class ShowPartAction extends BaseLoggedPopupAction {

	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		ActionForward forward = null;
		String sPartId = (String)getVariable(request, "partid");
		if (sPartId != null) {
			request.setAttribute("partid", sPartId); 
			forward = mapping.findForward("/webmail/showPart.cl");
		} else {
			forward = mapping.findForward("/show_body.jsp");
		}
		return forward;
	}
}
