package org.claros.groupware.webmail.models;

/**
 * @author Umut Gokbayrak
 */
public class FolderDbItemWrapper {
	private String folderName;
	private String user;
	private Long id;
	private Long parentId;
	private Integer type;
	private Integer unreadItemCount;
	private Integer totalItemCount;

	public FolderDbItemWrapper(FolderDbItem f) {
		this.folderName = f.getFolderName();
		this.id = f.getId();
		this.parentId = f.getParentId();
		this.type = f.getType();
		this.user = f.getUser();
	}

	/**
	 * @return
	 */
	public String getFolderName() {
		return folderName;
	}

	/**
	 * @return
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @return
	 */
	public Long getParentId() {
		return parentId;
	}

	/**
	 * @return
	 */
	public Integer getType() {
		return type;
	}

	/**
	 * @return
	 */
	public Integer getUnreadItemCount() {
		return unreadItemCount;
	}

	/**
	 * @return
	 */
	public String getUser() {
		return user;
	}

	/**
	 * @param string
	 */
	public void setFolderName(String string) {
		folderName = string;
	}

	/**
	 * @param long1
	 */
	public void setId(Long long1) {
		id = long1;
	}

	/**
	 * @param long1
	 */
	public void setParentId(Long long1) {
		parentId = long1;
	}

	/**
	 * @param integer
	 */
	public void setType(Integer integer) {
		type = integer;
	}

	/**
	 * @param integer
	 */
	public void setUnreadItemCount(Integer integer) {
		unreadItemCount = integer;
	}

	/**
	 * @param string
	 */
	public void setUser(String string) {
		user = string;
	}

	/**
	 * @return
	 */
	public Integer getTotalItemCount() {
		return totalItemCount;
	}

	/**
	 * @param integer
	 */
	public void setTotalItemCount(Integer integer) {
		totalItemCount = integer;
	}

}
