package org.claros.groupware.contacts.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import org.claros.commons.models.AuthProfile;
import org.claros.groupware.common.actions.BaseLoggedAction;
import org.claros.groupware.contacts.controllers.ContactsController;
import org.claros.groupware.contacts.models.ListContactsFormBean;

/**
 * @version 	1.0
 * @author		Umut Gkbayrak
 */
public class DeleteContactAction extends BaseLoggedAction {

	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		ListContactsFormBean bean = (ListContactsFormBean)form;
		AuthProfile auth = getAuthProfile(request);
		if (bean != null) {
			String items[] = bean.getContact();
			if (items != null) {
				String tmp = null;
				for (int i=0; i<items.length; i++) {
					tmp = items[i];
					try {
						Long id = new Long(Long.parseLong(tmp));
						ContactsController.deleteContact(auth, id);
					} catch (NumberFormatException e) {
						// do nothing sier
					}
				}
			}
			String letter = bean.getLetter();
			request.setAttribute("l", letter);
		}
		return mapping.findForward("/listContacts.do");
	}
}
