package org.claros.groupware.contacts.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import org.claros.commons.models.AuthProfile;
import org.claros.groupware.common.actions.BaseLoggedAction;
import org.claros.groupware.contacts.controllers.GroupsController;
import org.claros.groupware.contacts.models.ListGroupsFormBean;

/**
 * @version 	1.0
 * @author		Umut Gkbayrak
 */
public class DeleteGroupAction extends BaseLoggedAction {

	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		ListGroupsFormBean bean = (ListGroupsFormBean)form;
		if (bean != null && bean.getGroup().length > 0) {
			AuthProfile auth = getAuthProfile(request);
			Long ids[] = new Long[bean.getGroup().length];
			for (int i=0;i<ids.length;i++) {
				try {
					ids[i] = new Long(bean.getGroup()[i]);
				} catch (Exception e) {}
			}
			GroupsController.deleteGroups(auth, ids);
		}
		return mapping.findForward("/listGroups.do");
	}
}
