package org.claros.groupware.contacts.models;

import java.sql.Timestamp;

/**
 * @author Umut Gokbayrak
 */
public class Contact {
	private Long id;
	private String user;
	private String firstName;
	private String middleName;
	private String lastName;
	private String title;
	private String sex;
	private String gsmNoPrimary;
	private String gsmNoAlternate;
	private String emailPrimary;
	private String emailAlternate;
	private String webPage;
	private String personalNote;
	private String spouseName;
	private String nickName;
	private Timestamp birthDay;
	private Timestamp anniversary;
	private String homeAddress;
	private String homeCity;
	private String homeProvince;
	private String homeZip;
	private String homeCountry;
	private String homePhone;
	private String homeFaks;
	private String workCompany;
	private String workJobTitle;
	private String workOffice;
	private String workProfession;
	private String workManagerName;
	private String workAssistantName;
	private String workAddress;
	private String workCity;
	private String workProvince;
	private String workZip;
	private String workCountry;
	private String workPhone;
	private String workFaks;
	private String workDepartment;


	/**
	 * @return
	 */
	public Timestamp getAnniversary() {
		return anniversary;
	}

	/**
	 * @return
	 */
	public Timestamp getBirthDay() {
		return birthDay;
	}

	/**
	 * @return
	 */
	public String getEmailAlternate() {
		return emailAlternate;
	}

	/**
	 * @return
	 */
	public String getEmailPrimary() {
		return emailPrimary;
	}

	/**
	 * @return
	 */
	public String getFirstName() {
		return firstName;
	}

	/**
	 * @return
	 */
	public String getGsmNoAlternate() {
		return gsmNoAlternate;
	}

	/**
	 * @return
	 */
	public String getGsmNoPrimary() {
		return gsmNoPrimary;
	}

	/**
	 * @return
	 */
	public String getHomeAddress() {
		return homeAddress;
	}

	/**
	 * @return
	 */
	public String getHomeCity() {
		return homeCity;
	}

	/**
	 * @return
	 */
	public String getHomeCountry() {
		return homeCountry;
	}

	/**
	 * @return
	 */
	public String getHomeFaks() {
		return homeFaks;
	}

	/**
	 * @return
	 */
	public String getHomePhone() {
		return homePhone;
	}

	/**
	 * @return
	 */
	public String getHomeProvince() {
		return homeProvince;
	}

	/**
	 * @return
	 */
	public String getHomeZip() {
		return homeZip;
	}

	/**
	 * @return
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @return
	 */
	public String getLastName() {
		return lastName;
	}

	/**
	 * @return
	 */
	public String getMiddleName() {
		return middleName;
	}

	/**
	 * @return
	 */
	public String getNickName() {
		return nickName;
	}

	/**
	 * @return
	 */
	public String getPersonalNote() {
		return personalNote;
	}

	/**
	 * @return
	 */
	public String getSex() {
		return sex;
	}

	/**
	 * @return
	 */
	public String getSpouseName() {
		return spouseName;
	}

	/**
	 * @return
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * @return
	 */
	public String getUser() {
		return user;
	}

	/**
	 * @return
	 */
	public String getWebPage() {
		return webPage;
	}

	/**
	 * @return
	 */
	public String getWorkAddress() {
		return workAddress;
	}

	/**
	 * @return
	 */
	public String getWorkAssistantName() {
		return workAssistantName;
	}

	/**
	 * @return
	 */
	public String getWorkCity() {
		return workCity;
	}

	/**
	 * @return
	 */
	public String getWorkCompany() {
		return workCompany;
	}

	/**
	 * @return
	 */
	public String getWorkCountry() {
		return workCountry;
	}

	/**
	 * @return
	 */
	public String getWorkFaks() {
		return workFaks;
	}

	/**
	 * @return
	 */
	public String getWorkJobTitle() {
		return workJobTitle;
	}

	/**
	 * @return
	 */
	public String getWorkManagerName() {
		return workManagerName;
	}

	/**
	 * @return
	 */
	public String getWorkOffice() {
		return workOffice;
	}

	/**
	 * @return
	 */
	public String getWorkPhone() {
		return workPhone;
	}

	/**
	 * @return
	 */
	public String getWorkProfession() {
		return workProfession;
	}

	/**
	 * @return
	 */
	public String getWorkZip() {
		return workZip;
	}

	/**
	 * @param timestamp
	 */
	public void setAnniversary(Timestamp timestamp) {
		anniversary = timestamp;
	}

	/**
	 * @param timestamp
	 */
	public void setBirthDay(Timestamp timestamp) {
		birthDay = timestamp;
	}

	/**
	 * @param string
	 */
	public void setEmailAlternate(String string) {
		emailAlternate = string;
	}

	/**
	 * @param string
	 */
	public void setEmailPrimary(String string) {
		emailPrimary = string;
	}

	/**
	 * @param string
	 */
	public void setFirstName(String string) {
		firstName = string;
	}

	/**
	 * @param string
	 */
	public void setGsmNoAlternate(String string) {
		gsmNoAlternate = string;
	}

	/**
	 * @param string
	 */
	public void setGsmNoPrimary(String string) {
		gsmNoPrimary = string;
	}

	/**
	 * @param string
	 */
	public void setHomeAddress(String string) {
		homeAddress = string;
	}

	/**
	 * @param string
	 */
	public void setHomeCity(String string) {
		homeCity = string;
	}

	/**
	 * @param string
	 */
	public void setHomeCountry(String string) {
		homeCountry = string;
	}

	/**
	 * @param string
	 */
	public void setHomeFaks(String string) {
		homeFaks = string;
	}

	/**
	 * @param string
	 */
	public void setHomePhone(String string) {
		homePhone = string;
	}

	/**
	 * @param string
	 */
	public void setHomeProvince(String string) {
		homeProvince = string;
	}

	/**
	 * @param string
	 */
	public void setHomeZip(String string) {
		homeZip = string;
	}

	/**
	 * @param long1
	 */
	public void setId(Long long1) {
		id = long1;
	}

	/**
	 * @param string
	 */
	public void setLastName(String string) {
		lastName = string;
	}

	/**
	 * @param string
	 */
	public void setMiddleName(String string) {
		middleName = string;
	}

	/**
	 * @param string
	 */
	public void setNickName(String string) {
		nickName = string;
	}

	/**
	 * @param string
	 */
	public void setPersonalNote(String string) {
		personalNote = string;
	}

	/**
	 * @param string
	 */
	public void setSex(String string) {
		sex = string;
	}

	/**
	 * @param string
	 */
	public void setSpouseName(String string) {
		spouseName = string;
	}

	/**
	 * @param string
	 */
	public void setTitle(String string) {
		title = string;
	}

	/**
	 * @param string
	 */
	public void setUser(String string) {
		user = string;
	}

	/**
	 * @param string
	 */
	public void setWebPage(String string) {
		webPage = string;
	}

	/**
	 * @param string
	 */
	public void setWorkAddress(String string) {
		workAddress = string;
	}

	/**
	 * @param string
	 */
	public void setWorkAssistantName(String string) {
		workAssistantName = string;
	}

	/**
	 * @param string
	 */
	public void setWorkCity(String string) {
		workCity = string;
	}

	/**
	 * @param string
	 */
	public void setWorkCompany(String string) {
		workCompany = string;
	}

	/**
	 * @param string
	 */
	public void setWorkCountry(String string) {
		workCountry = string;
	}

	/**
	 * @param string
	 */
	public void setWorkFaks(String string) {
		workFaks = string;
	}

	/**
	 * @param string
	 */
	public void setWorkJobTitle(String string) {
		workJobTitle = string;
	}

	/**
	 * @param string
	 */
	public void setWorkManagerName(String string) {
		workManagerName = string;
	}

	/**
	 * @param string
	 */
	public void setWorkOffice(String string) {
		workOffice = string;
	}

	/**
	 * @param string
	 */
	public void setWorkPhone(String string) {
		workPhone = string;
	}

	/**
	 * @param string
	 */
	public void setWorkProfession(String string) {
		workProfession = string;
	}

	/**
	 * @param string
	 */
	public void setWorkZip(String string) {
		workZip = string;
	}

	/**
	 * @return
	 */
	public String getWorkProvince() {
		return workProvince;
	}

	/**
	 * @param string
	 */
	public void setWorkProvince(String string) {
		workProvince = string;
	}

	/**
	 * @return
	 */
	public String getWorkDepartment() {
		return workDepartment;
	}

	/**
	 * @param string
	 */
	public void setWorkDepartment(String string) {
		workDepartment = string;
	}
}
