package org.claros.groupware.filters.utility;

import java.util.ArrayList;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.util.LabelValueBean;

/**
 * @author Umut Gokbayrak
 */
public class Utility {
	
	public static void prepareRequestObjects(HttpServletRequest request) {
		ArrayList portions = new ArrayList();
		portions.add(new LabelValueBean(Constants.PORTION_SUBJECT_STR, Constants.PORTION_SUBJECT));
		portions.add(new LabelValueBean(Constants.PORTION_FROM_STR, Constants.PORTION_FROM));
		portions.add(new LabelValueBean(Constants.PORTION_TO_STR, Constants.PORTION_TO));
		portions.add(new LabelValueBean(Constants.PORTION_CC_STR, Constants.PORTION_CC));
		portions.add(new LabelValueBean(Constants.PORTION_MESSAGE_BODY_STR, Constants.PORTION_MESSAGE_BODY));
		request.setAttribute("portions", portions);
		
		ArrayList conditions = new ArrayList();
		conditions.add(new LabelValueBean(Constants.CONDITION_CONTAINS_STR, Constants.CONDITION_CONTAINS));
		conditions.add(new LabelValueBean(Constants.CONDITION_EQUALS_STR, Constants.CONDITION_EQUALS));
		conditions.add(new LabelValueBean(Constants.CONDITION_NOT_CONTAINS_STR, Constants.CONDITION_NOT_CONTAINS));
		request.setAttribute("conditions", conditions);
		
		ArrayList actions = new ArrayList();
		actions.add(new LabelValueBean(Constants.ACTION_MOVE_STR, Constants.ACTION_MOVE));
		actions.add(new LabelValueBean(Constants.ACTION_DELETE_STR, Constants.ACTION_DELETE));
		request.setAttribute("actions", actions);
	}

}
