package org.claros.groupware.notes.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import org.claros.commons.models.AuthProfile;
import org.claros.groupware.common.actions.BaseLoggedAction;
import org.claros.groupware.notes.controllers.FolderController;
import org.claros.groupware.notes.models.*;
import org.claros.groupware.notes.models.NotesFolder;

/**
 * @version 	1.0
 * @author
 */
public class SaveFolderAction extends BaseLoggedAction {

	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		FolderFormBean bean = (FolderFormBean)form;
		String folderName = bean.getFolderName();
		String id = bean.getId();
		AuthProfile auth = getAuthProfile(request);
		
		NotesFolder folder = new NotesFolder();
		if (id != null && !id.equals("")) {
			folder.setId(new Long(id));
		}
		folder.setFolderName(folderName);
		folder.setUser(auth.getUsername());
		
		FolderController.saveFolder(auth, folder);
		
		return mapping.findForward("/folders.do");
	}
}
