package org.claros.groupware.notes.actions;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import org.claros.commons.models.AuthProfile;
import org.claros.groupware.common.actions.BaseLoggedAction;
import org.claros.groupware.notes.controllers.NotesController;
import org.claros.groupware.notes.models.*;
import org.claros.groupware.notes.models.Note;

/**
 * @version 	1.0
 * @author		Umut Gkbayrak
 */
public class SaveNoteAction extends BaseLoggedAction {

	public ActionForward myExecute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		NoteFormBean bean = (NoteFormBean)form;
		String sNoteId = bean.getId();
		String note = bean.getNote();
		String sFolderId = bean.getFolder();
		
		AuthProfile auth = getAuthProfile(request);
		Note not = new Note();
		not.setFolderId(new Long(sFolderId));
		if (sNoteId != null && !sNoteId.equals("")) {
			not.setId(new Long(sNoteId));
		}
		not.setNote(note);
		not.setUser(auth.getUsername());
		NotesController.saveNote(auth, not);
		if (sNoteId != null && !sNoteId.equals("")) {
			if (bean.getEmail() != null && bean.getEmail().trim().length() > 0) {
				request.setAttribute("noteId", new Long(sNoteId));
				return mapping.findForward("/webmail/emailNote.do");
			}
		}
		
		return mapping.findForward("/save_result.jsp");
	}
}
