package org.claros.taglibs.page;

import java.util.ArrayList;

/**
 * @author Umut Gokbayrak
 */
public class PageData {
	private int pageId;
	private int itemsInPage;
	private String pageTitle;
	private boolean firstPage;
	private boolean lastPage;
	private ArrayList pageData = new ArrayList();
	
	public void addData(Object data) {
		pageData.add(data);
	}

	/**
	 * @return
	 */
	public boolean isFirstPage() {
		return firstPage;
	}

	/**
	 * @return
	 */
	public int getItemsInPage() {
		return itemsInPage;
	}

	/**
	 * @return
	 */
	public boolean isLastPage() {
		return lastPage;
	}

	/**
	 * @return
	 */
	public int getPageId() {
		return pageId;
	}

	/**
	 * @return
	 */
	public String getPageTitle() {
		return pageTitle;
	}

	/**
	 * @param b
	 */
	public void setFirstPage(boolean b) {
		firstPage = b;
	}

	/**
	 * @param i
	 */
	public void setItemsInPage(int i) {
		itemsInPage = i;
	}

	/**
	 * @param b
	 */
	public void setLastPage(boolean b) {
		lastPage = b;
	}
	/**
	 * @param i
	 */
	public void setPageId(int i) {
		pageId = i;
	}

	/**
	 * @param string
	 */
	public void setPageTitle(String string) {
		pageTitle = string;
	}

	/**
	 * @return
	 */
	public ArrayList getPageData() {
		return pageData;
	}

	/**
	 * @param list
	 */
	public void setPageData(ArrayList list) {
		pageData = list;
	}

}
